<?php
/**
 * This page prints a particular instance of flashchat
 *
 * @author Sander de Boer
 * @version $Id: index.php,v 1.0 2008/09/01 12:00:00 sdboer Exp $
 * @package flashchat
 **/

    require_once("../../config.php");
    require_once("lib.php");

    $id = required_param('id', PARAM_INT);   // course

	$PAGE->set_url('/mod/flashchat/index.php', array('id'=>$id));
    //if (! $course = get_record("course", "id", $id)) {
	if (! $course = $DB->get_record("course", array('id'=>$id))) {
       print_error('invalidcourseid');
    }

    //require_login($course->id);
	require_course_login($course);
	$PAGE->set_pagelayout('incourse');
    add_to_log($course->id, "flashchat", "view all", "index.php?id=$course->id", "");


/// Get all required stringsflashchat
    //$strflashchats = get_string("modulenameplural", "flashchat");
    //$strflashchat  = get_string("modulename", "flashchat");
	$strsectionname = get_string('sectionname', 'format_'.$course->format);
	$strchats = get_string('modulenameplural', 'flashchat');
	$strchat  = get_string('modulename', 'flashchat');


/// Print the header

	$PAGE->navbar->add($strchats);
	$PAGE->set_title($strchats);
	echo $OUTPUT->header();

    //$navlinks = array();
    //$navlinks[] = array('name' => $strflashchats, 'link' => '', 'type' => 'activity');
    //$navigation = build_navigation($navlinks);
    //print_header_simple("$strflashchats", "", $navigation, "", "", true, "", navmenu($course));

/// Get all the appropriate data

    if (! $flashchats = get_all_instances_in_course("flashchat", $course)) {
        //notice("There are no flashchats", "../../course/view.php?id=$course->id");
		notice(get_string('thereareno', 'moodle', $strchats), "../../course/view.php?id=$course->id");
        die();
    }
	
	$usesections = course_format_uses_sections($course->format);
	if ($usesections) {
		$sections = get_all_sections($course->id);
	}

/// Print the list of instances (your module will probably extend this)

    $timenow = time();
    $strname  = get_string("name");
    //$strweek  = get_string("week");
    //$strtopic  = get_string("topic");
	$table = new html_table();
	
    /*if ($course->format == "weeks") {
        $table->head  = array ($strweek, $strname);
        $table->align = array ("center", "left");
    } else if ($course->format == "topics") {
        $table->head  = array ($strtopic, $strname);
        $table->align = array ("center", "left", "left", "left");
    } else {
        $table->head  = array ($strname);
        $table->align = array ("left", "left", "left");
    }*/
	
	if ($usesections) {
		$table->head  = array ($strsectionname, $strname);
		$table->align = array ('center', 'left');
	} else {
		$table->head  = array ($strname);
		$table->align = array ('left');
	}

	$currentsection = '';
    foreach ($flashchats as $flashchat) {
        if (!$flashchat->visible) {
            //Show dimmed if the mod is hidden
            //$link = "<a class=\"dimmed\" href=\"view.php?id=$flashchat->coursemodule\">$flashchat->name</a>";
			$link = "<a class=\"dimmed\" href=\"view.php?id=$flashchat->coursemodule\">".format_string($flashchat->name,true)."</a>";
        } else {
            //Show normal if the mod is visible
            //$link = "<a href=\"view.php?id=$flashchat->coursemodule\">$flashchat->name</a>";
			$link = "<a href=\"view.php?id=$flashchat->coursemodule\">".format_string($flashchat->name,true)."</a>";
        }
		$printsection = '';
		if ($flashchat->section !== $currentsection) {
			if ($flashchat->section) {
				$printsection = get_section_name($course, $sections[$flashchat->section]);
			}
			if ($currentsection !== '') {
				$table->data[] = 'hr';
			}
			$currentsection = $flashchat->section;
		}
		if ($usesections) {
			$table->data[] = array ($printsection, $link);
		} else {
			$table->data[] = array ($link);
		}

        /*if ($course->format == "weeks" or $course->format == "topics") {
            $table->data[] = array ($flashchat->section, $link);
        } else {
            $table->data[] = array ($link);
        }*/
    }

    echo "<br />";

echo html_writer::table($table);

/// Finish the page

echo $OUTPUT->footer();

?>
